## TeplSpaceDrawerPrefs TeplSpaceDrawerPrefs — Preferences widget for GtkSourceSpaceDrawer |

## Functions

TeplSpaceDrawerPrefs * | tepl_space_drawer_prefs_new ()
GtkSourceSpaceDrawer * | tepl_space_drawer_prefs_get_space_drawer ()

## Types and Values

struct | TeplSpaceDrawerPrefs

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── TeplSpaceDrawerPrefs

## Implemented Interfaces

TeplSpaceDrawerPrefs implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplSpaceDrawerPrefs is a GtkWidget for configuring the preferences about white space drawing with GtkSourceSpaceDrawer.

The configuration is stored in the “matrix” property of the associated GtkSourceSpaceDrawer object.

## Functions

### tepl_space_drawer_prefs_new ()

    TeplSpaceDrawerPrefs *
    tepl_space_drawer_prefs_new (void);

#### Returns

a new TeplSpaceDrawerPrefs.

[transfer floating]

Since: 6.0

### tepl_space_drawer_prefs_get_space_drawer ()

    GtkSourceSpaceDrawer *
    tepl_space_drawer_prefs_get_space_drawer
                                   (TeplSpaceDrawerPrefs *prefs);

Gets the GtkSourceSpaceDrawer associated with `prefs` . The returned object is guaranteed to be the same for the lifetime of `prefs` . Each TeplSpaceDrawerPrefs object has a different GtkSourceSpaceDrawer.

#### Parameters

prefs | a TeplSpaceDrawerPrefs. |

#### Returns

the GtkSourceSpaceDrawer associated with `prefs` .

[transfer none]

Since: 6.0

## Types and Values

### struct TeplSpaceDrawerPrefs

    struct TeplSpaceDrawerPrefs;